Bug 150735 - mkswap -L undocumented
mkswap -L undocumented
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-03-09 21:12 EST by Joe Harrington
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-18 07:33:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 2005-03-09 21:12:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.19

Description of problem:
In FC3, swap spaces are labelled SWAP-hda7 (for example).  To label a
swap space, you say mkswap -L SWAP-hda7 /dev/hda7.  This is not
documented in the mkswap man page, and should be.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.mkswap -L SWAP-hda7 /dev/hda7
2.man mkswap

Actual Results:  the page doesn't mention -L or labeling a swap space

Expected Results:  It should mention this capability.

Additional info:

This tags along bug 127892.

Comment 1 Karel Zak 2005-03-18 07:33:19 EST
Fixed in util-linux-2.12p.
Comment 2 Karel Zak 2005-03-18 07:38:42 EST
For FC-3 I will release this cosmetic fix only if there will some other bugfix.
Comment 3 Michal Jaegermann 2005-04-01 13:29:53 EST
> For FC-3 I will release this cosmetic fix only if there will some other bugfix.

There was some other bugfix and it looks like that there will be another
one (see bug #152956).  Can we have this documented then?  So far even
'mount -h' does not mention an existence of -L option.

Note You need to log in before you can comment on or make changes to this bug.